Skip to main content
POST
Create assignment

Authorizations

Authorization
string
header
required

A workspace API key from Settings › Developer.

Query Parameters

workspace_id
string
required

The workspace: the 24-character ID in its Ankra address, or its UUID.

Body

application/json
roblox_user_id
integer
required

The Roblox user ID of the person.

title
string
required

What it is.

description
string

More detail.

due_date
string<date>

When it is due.

assignment_type
string
default:checkbox

checkbox, minutes, sessions_attended or sessions_hosted.

target
integer
default:1

How much a counted assignment needs.

Required range: x >= 0
priority
string
default:normal

Priority.

executor_roblox_user_id
integer

Roblox user ID of whoever did this in game. Recorded as the actor when they are linked to someone in the workspace.

Response

Created.

id
string<uuid>
user_id
string<uuid> | null
roblox_user_id
integer | null
template_id
string<uuid> | null
title
string
description
string | null
due_date
string<date> | null
period_start
string<date-time> | null
status
string
Example:

"pending"

priority
string
Example:

"normal"

assignment_type
string
Example:

"checkbox"

target
integer
progress
integer
created_at
string<date-time>
updated_at
string<date-time>